%DO_ALL_VEGETATION
%  Plot the figures in the Hogan et al. paper

do_selected = 0; % Only some panels
do_extras = 1;   % Also plot 1-region and 2-region calculations
do_print = 0;

clear spartacus_save mc_save spartacus2_save homog_save

figure(1)
scene = 'OFC';  do_nir = 0;
plot_sw_vegetation
if do_print
  print -depsc2 hogan_figure2.eps
end

figure(2)
scene = 'OFC';  do_nir = 1;
plot_sw_vegetation
if do_print
  print -depsc2 hogan_figure3.eps
end

figure(3)
scene = 'SHR';  do_nir = 0;
plot_sw_vegetation
if do_print
  print -depsc2 hogan_figure4.eps
end

figure(4)
scene = 'SHR';  do_nir = 1;
plot_sw_vegetation
if do_print
  print -depsc2 hogan_figure5.eps
end

% Report root-mean-square errors versus Monte Carlo
transmittance_rmse = sqrt(mean((spartacus_save.sw_dn-mc_save.sw_dn).^2))
absorption_rmse = sqrt(mean((spartacus_save.absor-mc_save.absor).^2))
reflectance_rmse = sqrt(mean((spartacus_save.ref-mc_save.ref).^2))
